unit uInventarioUtils;

interface

uses
  SysUtils, Classes, JSDialog, pngimage;

type
  TdmInventarioUtils = class(TDataModule)
    JsArticulosSinStock: TJSDialog;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function ShowConfirmMessage_ArticulosSinStock(AListaArticulos : TStringList): Integer;  

implementation

{$R *.dfm}

var
  dmInventarioUtils: TdmInventarioUtils;


function ShowConfirmMessage_ArticulosSinStock(AListaArticulos : TStringList): Integer;
begin
  dmInventarioUtils := TdmInventarioUtils.Create(nil);
  try
    with dmInventarioUtils.JsArticulosSinStock do
    begin
      Content.Add('Los siguientes artículos no disponen de stok suficiente en el almacén para realizar la salida. ¿Desea continuar?');
      Content.Add('');
      Content.AddStrings(AListaArticulos);
      Result := Execute;
    end;
  finally
    FreeAndNIL(dmInventarioUtils);
  end;
end;



end.
